### File

`packages/ecl/components/ecl-link/ecl-link.directive.ts`

### Description

'eclLink' directive is used to add some styling to the defalt HTML anchor component. In order to comply with ECL standards.

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit`

### Metadata

Selector | `[eclLink]`

### Index

###### Properties
eclIconComponents Public el
###### Methods
onBlur onClick onFocus getCssClasses
###### Inputs
isIconOnly isInverted isNoVisited variant class e2eAttr tabindex
###### HostBindings
class class.ecl-link--icon class.ecl-link--no-visited
###### Accessors
cssClasses hasIcon isLinkNoVisited

### Constructor

`constructor(el: ElementRef)`
Parameters :
Name | Type | Optional
el | `ElementRef` | No

### Inputs

isIconOnly
Type : `boolean`
Default value : `false`
Property to style the component if it consist only of an icon.

isInverted
Type : `boolean`
Default value : `false`
Property to style the component as 'inverted' (with dark background).

isNoVisited
Type : `boolean`

variant
Type : `"standalone" | "cta" | "primary" | "secondary"`
With 'varian' property user can add some more specific styling to the component.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Adds speific ECL classes to the component.

class.ecl-link--icon
Type : `boolean`
Adds class for styling if the link has icon.

class.ecl-link--no-visited
Type : `boolean`

### Methods

onBlur
`onBlur()`
Calls the native blur() method of the default HTML element. Returns : `void`

onClick
`onClick()`
Calls the native click() method of the default HTML element. Returns : `void`

onFocus
`onFocus()`
Calls the native focus() method of the default HTML element. Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

eclIconComponents
Type : `QueryList<EclIconComponent>`
Decorators : `@ContentChildren(undefined, {descendants: true})`

Public el
Type : `ElementRef`

### Accessors

cssClasses
get `cssClasses()`
Adds speific ECL classes to the component. Returns : `string`

hasIcon
get `hasIcon()`
Adds class for styling if the link has icon. Returns : `boolean`

isLinkNoVisited
get `isLinkNoVisited()`

# results matching ""

# No results matching ""